import { Injectable } from '@angular/core';

import { Base } from '../base/base';

@Injectable()
export class ThisSystemService extends Base
{
  public saveThisSystem(params: any)
  {
    return this.api.post('v1/thisSystems/saveThisSystem', params);
  }

  public getThisSystem()
  {
    const params: any = { noParameter: 0 };
    return this.api.post('v1/thisSystems/getThisSystem', params);
  }

  public saveStandardTerms(params: any)
  {
    return this.api.post('v1/thisSystems/saveStandardTerms', params);
  }

  public getStandardTerms()
  {
    const params: any = { noParameter: 0 };
    return this.api.post('v1/thisSystems/getStandardTerms', params);
  }
}
